# 機構評級分佈時間線

`GET` `/v1/quote/ratings/institutional`

獲取按月統計的機構評級（買入/持有/賣出）分佈時間線，最新月份在前。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ratings/institutional?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `elist` | object[] | No | 月度評級分佈列表，最新月份在前 |
| `└ buy` | string | No | 買入評級數量 |
| `└ over` | string | No | 跑贏市場評級數量 |
| `└ hold` | string | No | 持有評級數量 |
| `└ under` | string | No | 跑輸市場評級數量 |
| `└ sell` | string | No | 賣出評級數量 |
| `└ total` | string | No | 機構總數 |
| `└ no_opinion` | string | No | 無觀點的分析師數。 |
| `└ date` | string | No | Unix 時間戳（秒） |
| `tlist` | object[] | No | 時間序列列表。 |
| `└ date` | string | No | Unix 時間戳（秒） |
| `└ close` | string | No | 收盤價。 |
| `└ high_price` | string | No | 最高價。 |
| `└ low_price` | string | No | 最低價。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "elist": [
      {
        "date": 1746057600,
        "buy": "18",
        "over": "5",
        "hold": "17",
        "under": "3",
        "sell": "4",
        "total": "51"
      },
      {
        "date": 1743379200,
        "buy": "17",
        "over": "6",
        "hold": "18",
        "under": "3",
        "sell": "5",
        "total": "53"
      }
    ]
  }
}
```
